Entur Developer
Refunds

Compensation

Server

Reduce the price of one or more orders to compensate customers without performing a full refund. Used when a price adjustment is sufficient instead of cancelling or refunding order lines.


Reduce one or multiple orders' price and thus provide compensation for the paying customer

POST
https://api.entur.io/sales
/v1/compensations

Leverages the possibility to compensate one or more orders in a batch operation

Reduce one or multiple orders' price and thus provide compensation for the paying customer › Headers

Authorization
​string · required · style: simple

Authorization header

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

Entur-Settlement-Id
​string · style: simple

An id for connecting a credit to a settlement

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Reduce one or multiple orders' price and thus provide compensation for the paying customer › Request Body

A request performing compensation operations in batch
​CompensationOperation[] · required

A required list of one or more compensation operations

Reduce one or multiple orders' price and thus provide compensation for the paying customer › Responses

OK

The response from performing one or more compensation operations
​CompensationResult[] · required

Reduce an single order price and thus provide compensation for the paying customer

PUT
https://api.entur.io/sales
/v1/compensations/{orderId}

Leverages the possibility to compensate one order

Reduce an single order price and thus provide compensation for the paying customer › path Parameters

orderId
​string · required · style: simple

The id of the order that one would like to get or perform refund operations on

Reduce an single order price and thus provide compensation for the paying customer › Headers

Authorization
​string · required · style: simple

Authorization header

Entur-Distribution-Channel
​string · required · style: simple

Distribution channel identifier.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

Entur-Settlement-Id
​string · style: simple

An id for connecting a credit to a settlement

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Reduce an single order price and thus provide compensation for the paying customer › Request Body

A request performing an single compensation operation

A list of compensation elements

​TerminalRefundingData

Holder for data that needs to be provided when performing a refund on an external terminal

overrideReimbursementType
​string

Used to override the payment method that the refund operations will be registered as. All refund operations that will target a payment transaction that is imported, will be overridden. Available types: CASH

Reduce an single order price and thus provide compensation for the paying customer › Responses

OK

The response from performing a single compensation operation
​CompensationResult · required

The response from performing one or more compensation operations


Did you find what you were looking for?